As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 700000 - Buy Firefox developers some beer.
: Buy Firefox developers some beer.
Status: REOPENED
: dataloss, dogfood
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- enhancement with 12 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks: 900001 beer
  Show dependency treegraph
 
Reported: 2011-11-04 18:53 PDT by Justin Dolske [:Dolske]
Modified: 2015-03-19 08:20 PDT (History)
60 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Bug 700000 wallet-sized Beer Card (68.55 KB, text/html)
2011-11-07 10:52 PST, Vladimir Vukicevic [:vlad] [:vladv]
no flags Details

Description User image Justin Dolske [:Dolske] 2011-11-04 18:53:12 PDT
People who work on Firefox are awesome and deserve a beer. Especially if this is bug 700000. :-)

See also bug 462081.
Comment 1 User image Justin Dolske [:Dolske] 2011-11-04 18:56:43 PDT
Woot!

I hereby proclaim that anyone presenting a printout of this comment, in or at an establishment where I am present, is entitled to 1 Free Beer of your choice. Valid until bug 8000000, limit 1 per person, must be of legal drinking age. Offer may be revoked at any time but I really really really would like to buy you some tasty beers.

Especially if you and I can have one of these:

http://www.ratebeer.com/RateBeerBest/bestbeers_012011.asp
Comment 2 User image Justin Dolske [:Dolske] 2011-11-04 19:00:47 PDT
Oh, that's embarrassing. I should have written "Offer valid until bug 800000".
Comment 3 User image Kev Needham [:kev] 2011-11-04 19:14:44 PDT
An order of magnitude in beer is a fine, fine thing... unless you're buying.
Comment 4 User image Mike Hoye 2011-11-04 19:15:24 PDT
> I should have written "Offer valid until bug 800000".

Better file a bug.
Comment 5 User image John O'Duinn [:joduinn] (please use "needinfo?" flag) 2011-11-04 19:45:14 PDT
(In reply to Justin Dolske [:Dolske] from comment #1)
> Woot!
> 
> I hereby proclaim that anyone presenting a printout of this comment, in or
> at an establishment where I am present, is entitled to 1 Free Beer of your
> choice. Valid until bug 8000000, limit 1 per person, must be of legal
> drinking age. Offer may be revoked at any time but I really really really
> would like to buy you some tasty beers.
> 
> Especially if you and I can have one of these:
> 
> http://www.ratebeer.com/RateBeerBest/bestbeers_012011.asp

There must be some error, I dont see Guinness on this list. Regardless, I'm printing this out right now in case I'm in the same building as dolske anytime between now and bug#800000.
Comment 6 User image David Dahl :ddahl 2011-11-04 20:15:18 PDT
I propose we change the title of this bug to "Buy Firefox developers some Alcoholic Beverages" - some of us are booze hounds ya know
Comment 7 User image Justin Dolske [:Dolske] 2011-11-04 20:37:57 PDT
ddahl: that sounds like a followup bug. Bug 800000 is coming, y'know? ;)

In any case, I could likely be convinced to exchange a One Free Beer for a One Free Cocktail. Offer void for Appletinis, Cosmopolitians, etc. Must cite pre-prohibition reference for redemption.

joduinn: Guinness is always acceptable, and is assumed to be on any top-N list. Especially when served nitro-style.
Comment 8 User image Rob Campbell [:rc] (:robcee) 2011-11-04 22:09:49 PDT
I will expend my hard-earned votes for this bug.
Comment 9 User image Marco Bonardo [::mak] 2011-11-05 02:11:01 PDT
That list of beers is a bit deviated towards USA beers, but I won't refuse the offer :)
Comment 10 User image Tobias (:Tobbi) Markus 2011-11-05 14:07:55 PDT
Marking dogfood as beer contains water and dogs like drinking water, right?
Comment 11 User image Tobias (:Tobbi) Markus 2011-11-05 14:08:36 PDT
Could we get some proper German beer (I'm all in for Flensburger Pilsener)
Comment 12 User image Dave Townsend [:mossop] 2011-11-05 14:13:58 PDT
(In reply to Justin Dolske [:Dolske] from comment #1)
> I hereby proclaim that anyone presenting a printout of this comment, in or
> at an establishment where I am present ...

I would like to request that you change this requirement to avoid burning down too many trees. How about instead you require people to show you this bug rendered in Fennec on their mobile device?
Comment 13 User image Wes Kocher (:KWierso) 2011-11-05 15:38:06 PDT
(In reply to Dave Townsend (:Mossop) from comment #12)
> I would like to request that you change this requirement to avoid burning
> down too many trees. How about instead you require people to show you this
> bug rendered in Fennec on their mobile device?

Android tablets ARE more common amongst Mozillians than paper, these days...
Comment 14 User image Alex Miller 2011-11-05 20:35:40 PDT
I am included in the recipients list, right?
Comment 15 User image Reed Loden [:reed] (use needinfo?) 2011-11-05 20:54:33 PDT
(In reply to Alex Miller from comment #14)
> I am included in the recipients list, right?

I don't think you're 21 yet. Sorry. ;)
Comment 16 User image Tanner Filip [:tanner] 2011-11-05 20:58:40 PDT
(In reply to Reed Loden [:reed] (very busy) from comment #15)
> (In reply to Alex Miller from comment #14)
> > I am included in the recipients list, right?
> 
> I don't think you're 21 yet. Sorry. ;)

he never said it had to alcohol in it, but he did say that you had to be of legal drinking age.
Comment 17 User image Philipp Kewisch [:Fallen] 2011-11-07 02:01:13 PST
What about bacon-flavored cheese pie with beer, if found within an establishment within 50 meters?
Comment 18 User image bogas04 2011-11-07 02:48:31 PST
I am teetotaler , hmm , never-mind i ain't any developer either :P 
'Grats!
Comment 19 User image Siddharth Agarwal [:sid0] (inactive) 2011-11-07 04:31:53 PST
(In reply to Dave Townsend (:Mossop) from comment #12)
> I would like to request that you change this requirement to avoid burning
> down too many trees. How about instead you require people to show you this
> bug rendered in Fennec on their mobile device?

I support having this as an option.
Comment 20 User image Axel Hecht 2011-11-07 05:11:59 PST
Are you coming to FOSDEM? http://fosdem.org/2012/beerevent (yet to be created, but I'm confident that URL will resolve in due time).
Comment 21 User image Tom Schuster [:evilpie] 2011-11-07 07:26:51 PST
(In reply to Tanner Filip [:Tanner] from comment #16)
> (In reply to Reed Loden [:reed] (very busy) from comment #15)
> > (In reply to Alex Miller from comment #14)
> > > I am included in the recipients list, right?
> > 
> > I don't think you're 21 yet. Sorry. ;)
> 
> he never said it had to alcohol in it, but he did say that you had to be of
> legal drinking age.
You can all come to Germany, 16 and there you go.
Comment 22 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-11-07 09:36:49 PST
Alex is still out in the cold then, I think.
Comment 23 User image Vladimir Vukicevic [:vlad] [:vladv] 2011-11-07 10:52:27 PST
Created attachment 572532 [details]
Bug 700000 wallet-sized Beer Card

Be prepared!  Always carry your bug 700000 comment 1 card with you.  Print and cut out.
Comment 24 User image Eric Shepherd [:sheppy] 2011-11-08 06:39:38 PST
Some of us need non-alcoholic beer, alas and alack. Is that acceptable?
Comment 25 User image alex_mayorga 2011-11-29 21:32:53 PST
I'd say this should be RESOLVED WONTFIX or INVALID =P

Just kidding, If I ever stumble into a developer in the flesh I'd happily pay for a beverage of her/his choosing =D
Comment 26 User image Justin Dolske [:Dolske] 2012-05-12 19:02:41 PDT
6 months and 50,000 bugs later, and still no successful redemptions. I'm a little disappointed, to be honest. ;-)
Comment 27 User image Rob Campbell [:rc] (:robcee) 2012-05-13 10:36:54 PDT
were you not at the Firefox Work week? I'm pretty sure everyone on the Firefox Team who drinks beer had at least one beer bought for them. I'm recommending we close this RESO FIXED.
Comment 28 User image Justin Dolske [:Dolske] 2012-05-13 23:05:04 PDT
Not all firefox developers were at the work week! :)
Comment 29 User image Justin Dolske [:Dolske] 2012-09-25 22:52:26 PDT
(In reply to Justin Dolske [:Dolske] from comment #1)

> I hereby proclaim that anyone presenting a printout of this comment, in or
> at an establishment where I am present, is entitled to 1 Free Beer of your
> choice. Valid until bug 8000000

Just gonna say:

We're on the cusp of bug 795000, which at current rates gives you less than 2 weeks to redeem this offer.
Comment 30 User image Rob Campbell [:rc] (:robcee) 2012-10-10 06:55:33 PDT
can I please have a beer?
Comment 31 User image Raul Malea 2012-10-10 07:00:02 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #30)
> can I please have a beer?

Sure! :)
Comment 32 User image :Ehsan Akhgari 2012-10-10 07:56:22 PDT
This is unbelievable.  This bug was filed a year ago, still no action on it, even though I voted here... just people commenting.  I'm considering switching away to IE unless you guys fix it.  Come on, it's almost the end 2013!
Comment 33 User image Vladimir Vukicevic [:vlad] [:vladv] 2012-10-10 09:18:19 PDT
(In reply to Justin Dolske [:Dolske] from comment #29)
> (In reply to Justin Dolske [:Dolske] from comment #1)
> 
> > I hereby proclaim that anyone presenting a printout of this comment, in or
> > at an establishment where I am present, is entitled to 1 Free Beer of your
> > choice. Valid until bug 8000000
> 
> Just gonna say:
> 
> We're on the cusp of bug 795000, which at current rates gives you less than
> 2 weeks to redeem this offer.

... you may want to count some zeros there, friend!
Comment 34 User image Ted Mielczarek [:ted.mielczarek] 2012-10-10 09:27:52 PDT
(In reply to Justin Dolske [:Dolske] from comment #1)
> I hereby proclaim that anyone presenting a printout of this comment, in or
> at an establishment where I am present, is entitled to 1 Free Beer of your
> choice. Valid until bug 8000000, limit 1 per person, must be of legal


...and we're done: bug 800000.
Comment 35 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-10-10 09:56:17 PDT
No, the offer is valid until Bug 8000000
Comment 36 User image Maximilian Capraro 2013-04-18 12:55:33 PDT
Test

Note You need to log in before you can comment on or make changes to this bug.